# This file created by conda-build 3.28.4
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_393ofeubbi/clone/recipe, last modified Fri Feb  2 10:13:28 2024
# ------------------------------------------------

package:
  name: aws-sdk-cpp
  version: 1.10.55
source:
  sha256: 2d552fb1a84bef4a9b65e34aa7031851ed2aef5319e02cc6e4cb735c48aa30de
  url: https://github.com/aws/aws-sdk-cpp/archive/1.10.55.tar.gz
build:
  missing_dso_whitelist: null
  number: '0'
  run_exports:
    - aws-sdk-cpp >=1.10.55,<1.10.56.0a0
  string: h61975a4_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.19.1 h6c40b1e_0
    - ca-certificates 2023.12.12 hecd8cb5_0
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_1
    - clang-14 14.0.6 default_hd95374b_1
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_hd95374b_1
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - cmake 3.26.4 hbb7d193_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - expat 2.5.0 hcec6c5f_0
    - krb5 1.20.1 h428f121_1
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.5 hc58f1be_3
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcurl 8.5.0 hf20ceda_0
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20230828 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libffi 3.4.4 hecd8cb5_0
    - libllvm14 14.0.6 h91fad77_3
    - libnghttp2 1.57.0 h9beae6a_0
    - libssh2 1.10.0 h04015c4_2
    - libuv 1.44.2 h6c40b1e_0
    - llvm-tools 14.0.6 he0576d7_3
    - lz4-c 1.9.4 hcec6c5f_0
    - make 4.2.1 h3efe00b_1
    - ncurses 6.4 hcec6c5f_0
    - ninja-base 1.10.2 haf03e11_5
    - openssl 3.0.12 hca72f7f_0
    - rhash 1.4.3 h04015c4_0
    - tapi 1000.10.8 ha1b3eb9_0
    - xz 5.4.5 h6c40b1e_0
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.5 hc035e20_0
  host:
    - aws-c-auth 0.6.19 h6c40b1e_0
    - aws-c-cal 0.5.20 h3333b6a_0
    - aws-c-common 0.8.5 h6c40b1e_0
    - aws-c-compression 0.2.16 h6c40b1e_0
    - aws-c-event-stream 0.2.15 hcec6c5f_0
    - aws-c-http 0.6.25 h6c40b1e_0
    - aws-c-io 0.13.10 h6c40b1e_0
    - aws-c-mqtt 0.7.13 h6c40b1e_0
    - aws-c-s3 0.1.51 h6c40b1e_0
    - aws-c-sdkutils 0.1.6 h6c40b1e_0
    - aws-checksums 0.1.13 h6c40b1e_0
    - aws-crt-cpp 0.18.16 hcec6c5f_0
    - c-ares 1.19.1 h6c40b1e_0
    - ca-certificates 2023.12.12 hecd8cb5_0
    - krb5 1.20.1 h428f121_1
    - libcurl 7.88.1 hf20ceda_2
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20230828 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libnghttp2 1.57.0 h9beae6a_0
    - libssh2 1.10.0 h04015c4_2
    - ncurses 6.4 hcec6c5f_0
    - openssl 3.0.12 hca72f7f_0
    - zlib 1.2.13 h4dc903c_0
  run:
    - aws-c-common >=0.8.5,<0.8.6.0a0
    - aws-c-event-stream >=0.2.15,<0.2.16.0a0
    - aws-checksums >=0.1.13,<0.1.14.0a0
    - aws-crt-cpp >=0.18.16,<0.18.17.0a0
    - libcurl >=7.88.1,<8.0a0
    - libcxx >=14.0.6
test:
  commands: null
  files:
    - CMakeLists.txt
    - test.cpp
  requires:
    - clang_osx-64 14.*
    - clangxx_osx-64 14.*
    - cmake
    - make
    - ninja
about:
  description: 'The AWS SDK for C++ provides a modern C++ (version C++ 11 or later)
    interface for Amazon Web Services (AWS).

    It is meant to be performant and fully functioning with low- and high-level SDKs,

    while minimizing dependencies and providing platform portability (Windows, OSX,
    Linux, and mobile).

    '
  dev_url: https://github.com/aws/aws-sdk-cpp
  doc_url: https://docs.aws.amazon.com/sdk-for-cpp
  home: https://github.com/aws/aws-sdk-cpp
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: C++ library that makes it easy to integrate C++ applications with AWS services
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 39f2b812-ea2a-460c-a2a8-6bda2c4386ac
  recipe-maintainers:
    - ihnorton
    - jakebolewski
    - pitrou
    - xhochy
  remote_url: git@github.com:AnacondaRecipes/aws-sdk-cpp-feedstock.git
  sha: c980a61f67305e42ba2ee94967504158ce53d47d
